/outgoing/rtp - POST

Initiates a payment on the RTP rail. This method exists to allow for direct RTP initiation, however,
in most cases it's prefferable to use the rail agonistic POST /outgoing api to allow for rail flexibity
when sending to the receiver bank.

Body Params
double
required
≥ 0.01

Amount of Payment, in dollars and cents

date-time | null

Optional date and time on which to process the payment, if not specified, it will be sent immediately. If specified, it must be today's date or a future date.
If specified, then submission as a full datetime plus timezone offset is HIGHLY recommended over submission as a simple date string, as omission of time will default to midnight and omission of timezone offset will default to UTC.
Format: yyyy-MM-ddTHH:mm:ss.ffZ

string
required
length between 1 and 35

The account number from which to send the payment

string
required
length ≥ 1
^\d{9}$

Routing number of the receiving bank. This must be a federal ABA number, must be exactly 9 digits.

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The account number of the receiver.

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The name of the receiving party

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The primary address line of the receiving party

string | null
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The secondary address line of the receiving party (optional). Maximum length is 35 characters.

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The city of the receiving party

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The state or region of the receiving party

string
required
length between 1 and 35
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

The postal/zip code of the receiving party

string
required
length between 2 and 2
^[A-Za-z]+$

The country code of the receiving party (ISO 3166-1 alpha-2 format)

string | null
^[A-Za-z0-9 .()/'+=:?_#@%,&-]+$

Description to be passed in the payment. Maximum length is 140 characters.

Headers
uuid
required

Unique request idenitfier for idempotency.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
LoadingLoading…
Response
Choose an example:
application/json
text/json
application/problem+json